declare type webEvent = 'downloadEvent' | 'openSafariViewEvent' | 'openWebviewEvent' | 'resumeSafariViewEvent' | 'customEvent';
declare type rnEvent = 'backEvent' | 'chatViewEvent' | 'docViewEvent';
declare type webPayload = {
    event: webEvent;
    data: string;
};
export declare function isIosWebview(): boolean;
export declare function isAndroidWebview(): boolean;
export declare function isWebview(): boolean;
export declare function postMessage(payload: webPayload): void;
export declare function addEventListener(event: rnEvent, func: (payload: {
    event: rnEvent;
    data: string;
}) => void): void;
export declare function removeEventListener(event: rnEvent): void;
export declare function dispatchEvent(eventName: string): void;
declare const _default: {
    addEventListener: typeof addEventListener;
    removeEventListener: typeof removeEventListener;
    dispatchEvent: typeof dispatchEvent;
    postMessage: typeof postMessage;
    isIosWebview: typeof isIosWebview;
    isAndroidWebview: typeof isAndroidWebview;
    isWebview: typeof isWebview;
};
export default _default;
