"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dispatchEvent = exports.removeEventListener = exports.addEventListener = exports.postMessage = exports.isWebview = exports.isAndroidWebview = exports.isIosWebview = void 0;
function isIosWebview() {
    var userAgent = navigator.userAgent.toLowerCase();
    return (userAgent.indexOf(" mobile/") > 0 &&
        userAgent.indexOf(" safari/") === -1);
}
exports.isIosWebview = isIosWebview;
function isAndroidWebview() {
    var userAgent = navigator.userAgent.toLowerCase();
    return (userAgent.indexOf("mobile") > 0 &&
        userAgent.indexOf("android") > 0);
}
exports.isAndroidWebview = isAndroidWebview;
function isWebview() {
    var userAgent = navigator.userAgent.toLowerCase();
    return (userAgent.indexOf("mobile") > 0);
}
exports.isWebview = isWebview;
function postMessage(payload) {
    window.ReactNativeWebView.postMessage(JSON.stringify(payload));
}
exports.postMessage = postMessage;
var innerFunc = null;
function addEventListener(event, func) {
    innerFunc = function (event) {
        func(event.detail);
    };
    window.addEventListener(event, innerFunc);
}
exports.addEventListener = addEventListener;
function removeEventListener(event) {
    window.removeEventListener(event, innerFunc);
}
exports.removeEventListener = removeEventListener;
function dispatchEvent(eventName) {
    window.dispatchEvent(new CustomEvent(eventName));
}
exports.dispatchEvent = dispatchEvent;
window.addEventListener('message', function (e) {
    if (e && typeof e.data === 'string') {
        var message = e.data;
        var payload = JSON.parse(message);
        if (payload.event) {
            var event_1 = new CustomEvent(payload.event, {
                detail: payload,
            });
            window.dispatchEvent(event_1);
        }
    }
});
exports.default = {
    addEventListener: addEventListener,
    removeEventListener: removeEventListener,
    dispatchEvent: dispatchEvent,
    postMessage: postMessage,
    isIosWebview: isIosWebview,
    isAndroidWebview: isAndroidWebview,
    isWebview: isWebview
};
